summaryrefslogtreecommitdiffstats
path: root/update-dbus-docs.sh
diff options
context:
space:
mode:
authorHavoc Pennington <hp@redhat.com>2005-01-21 06:18:04 +0000
committerHavoc Pennington <hp@redhat.com>2005-01-21 06:18:04 +0000
commit606eb2106b3d7f5cd36a4f1786d281b771bb1bf7 (patch)
treed4fe3c88571d0f683f8dadbef43fd5c0dea18ffa /update-dbus-docs.sh
parentcda2389089ef180ac2f3c880cb03427e9baf884b (diff)
2005-01-21 Havoc Pennington <hp@redhat.com>
* dbus/dbus-bus.c: add more return_if_fail checks * dbus/dbus-message.c (load_message): have the "no validation" mode (have to edit the code to toggle the mode for now though) * dbus/dbus-marshal-header.c (_dbus_header_load): have a mode that skips all validation; I want to use this at least for benchmark baseline, I'm not sure if it should be a publicly-available switch.
Diffstat (limited to 'update-dbus-docs.sh')
-rwxr-xr-xupdate-dbus-docs.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/update-dbus-docs.sh b/update-dbus-docs.sh
index 0abc54f3..c8540102 100755
--- a/update-dbus-docs.sh
+++ b/update-dbus-docs.sh
@@ -13,9 +13,9 @@ cd $CHECKOUTDIR || die "could not changedir to $CHECKOUTDIR"
echo "Checking out to directory "`pwd`
-#cvs co dbus || die "failed to cvs update"
-
-cd dbus
+/bin/rm -rf dbus/doc || true ## get rid of old doxygen, etc.
+cvs co dbus || die "failed to cvs update"
+cd dbus || die "could not cd to dbus"
echo "Configuring and building docs"